Bug 242871 - evince does not display PS files on some systems
evince does not display PS files on some systems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 02:06 EDT by Emmanuel Kowalski
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: evince-2.20.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-23 10:06:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A very simple PS file (displays 'Test' at the bottom of the page) (246 bytes, text/plain)
2007-06-06 02:06 EDT, Emmanuel Kowalski
no flags Details
strace when trying to view the PS file in the previous attachment with evince (79.20 KB, text/plain)
2007-06-06 02:08 EDT, Emmanuel Kowalski
no flags Details

  None (edit)
Description Emmanuel Kowalski 2007-06-06 02:06:26 EDT
Description of problem:
On one of my computers, evince fails to display any PostScript file. (But
it works on another computer with the same version of evince/poppler).

Version-Release number of selected component (if applicable):
evince-0.6.0-6.fc6
poppler-0.5.4-5.fc6

How reproducible:
Always on my laptop (Dell Latitude D820).
Never on a desktop (Dell Optiplex).

Steps to Reproduce:
1. Get a PostScript file.
2. Try to view it with evince.
3.
  
Actual results:
evince displays `Loading' with no visible progress for a long time (little
CPU activity).

Expected results:
evince displays the PostScript file.

Additional info:
I will attach a very small PostScript file with the problem and the
result of strace, which ends fairly quickly with something like ``Process 25298
detached'' while evince continues displaying ``Loading''.
Comment 1 Emmanuel Kowalski 2007-06-06 02:06:26 EDT
Created attachment 156320 [details]
A very simple PS file (displays 'Test' at the bottom of the page)
Comment 2 Emmanuel Kowalski 2007-06-06 02:08:00 EDT
Created attachment 156321 [details]
strace when trying to view the PS file in the previous attachment with evince
Comment 3 Emmanuel Kowalski 2007-06-06 02:09:00 EDT
P.S. I haven't tried with Fedora 7 but I should install it fairly soon and
will update the status then.
Comment 4 Emmanuel Kowalski 2007-11-23 10:06:45 EST
I have upgraded to Fedora 8 and the bug has gone on my laptop.

Note You need to log in before you can comment on or make changes to this bug.